<?php
namespace Mirasvit\SeoContent\Block\Adminhtml\Template\Edit\Form;

/**
 * Interceptor class for @see \Mirasvit\SeoContent\Block\Adminhtml\Template\Edit\Form
 */
class Interceptor extends \Mirasvit\SeoContent\Block\Adminhtml\Template\Edit\Form implements \Magento\Framework\Interception\InterceptorInterface
{
    use \Magento\Framework\Interception\Interceptor;

    public function __construct(\Magento\Framework\Data\FormFactory $formFactory, \Magento\Backend\Block\Template\Context $context)
    {
        $this->___init();
        parent::__construct($formFactory, $context);
    }

    /**
     * {@inheritdoc}
     */
    public function getForm()
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'getForm');
        return $pluginInfo ? $this->___callPlugins('getForm', func_get_args(), $pluginInfo) : parent::getForm();
    }

    /**
     * {@inheritdoc}
     */
    public function getUrl($route = '', $params = [])
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'getUrl');
        return $pluginInfo ? $this->___callPlugins('getUrl', func_get_args(), $pluginInfo) : parent::getUrl($route, $params);
    }
}
